{% load static %}

<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>
        {% block title %}{% endblock %}
    </title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <link href="{% static 'css/base_page-style.css' %}" rel="stylesheet" type="text/css"/>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link href="https://use.fontawesome.com/releases/v5.0.7/css/all.css" rel="stylesheet">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
</head>


<body>
<!-- ################# Top Bar - Home | Logout | Lists of friends / loans / books borrowed     ################### -->
<div class="topbar_container">
    <div class="topbar_nav">
        <div class="fl_left">
            <ul class="left_links">
                <li><a href="{% url 'home' %}"><i class="fas fa-home"></i></a></li>
                <li><a href="{% url 'logout' %}">Logout</a></li>
                <li>Your Username is : {{user}}</li>
                <li>Your User Id is  : {{user.id}}</li>
            </ul>
        </div>
        <div class="fl_right">
            <ul class="right_links">
                <li><span><i class="fa fa-user-circle" aria-hidden="true"></i></span><a href="{% url 'active_user'%}"> Prietenii mei
                    <!-- My Friends--></a></li>
                <li><span><i class="fa fa-book" aria-hidden="true"></i></span> <a href="#"> Carti imprumutate de la...
                    <!--Loans--></a></li>
                <li><span><i class="fa fa-address-book" aria-hidden="true"></i></span> <a href="#">Cui i-am imprumutat
                    <!--Borrows--></a></li>
            </ul>
        </div>
        <div class="clr"></div>
    </div>
</div>

<div class="main">
    <div class="header">
        <div class="header_resize">
            <div id="welcome_username_box">
                <span id="welcome_text">Bun venit !, <span id="user_fullname">{{ active_user_name }} </span></span>
            </div>
            <div id="menu_nav">
                <!------- Top navigation menu ------->
                <ul>
                    <li><a class="drop" href="#">Listare carti<!--List gallery--></a>
                        <ul>
                          {% if not inactive_user %}
                            {# only active users (logged in) can view their books from a certain selected room of their own library #}
                            <li><a class="drop" href="#">Camere Biblioteci<!--Library Rooms--></a>
                                <ul>
                                  {% if active_user_rooms %}
                                        {% for room in active_user_rooms %}
                                                <li><a href="{% url 'carti_camera' room.pk %}">{{ room.name }}</a></li>
                                        {% endfor %}
                                  {% else %}
                                      <li id="empty_library">
                                          <a href="#">Nu ai adaugat nici o camera in biblioteca ta. Poti merge la:
                                              <span style="color:#fb2600">Organizare Biblioteca mea &raquo;</span>
                                          </a>.
                                      </li>
                                  {% endif %}
                                </ul>
                            </li>
                          {% endif %}

                            <li><a class="drop" href="#">Categorii_Subcategorii<!--Book Categories--></a>
                                <ul>
                                    {% for main_category in categ_subcateg %}
                                        {% if main_category.subcategories %}
                                            <li><a class="drop"
                                                   href="">{{ main_category.main_category.name }}</a>
                                                <ul>
                                                {% for subcateg in main_category.subcategories %}
                                                    <li><a href="{% url 'carti_pe_categorii' subcateg.pk %}">{{ subcateg.name }}</a></li>
                                                {% endfor %}
                                                </ul>
                                            </li>
                                        {% else %}
                                            <li>
                                                <a href="{% url 'carti_pe_categorii' main_category.main_category.pk %}">{{ main_category.main_category.name }}</a>
                                            </li>
                                        {% endif %}
                                    {% endfor %}
                                </ul>
                            </li>


                        </ul>
                    </li>
                    <li><a class="drop" href="#">Adaugari de...   </a>
                      <ul>
                          <li><a href="#">Autori <!--Add--></a></li>
                          <li><a href="{% url 'adaugare_carti' %}" target="_blank">Carti <!--Add--></a></li>
                          <li><a href="#">Edituri <!--Add--></a></li>
                      </ul>
                    </li>
                    <li><a class="drop" href="#">Biblioteca mea   <!--  My Library --></a>
                        <ul>
                            <li>
                                <a href="#">Organizare pe camere   <!--organization by rooms--></a>
                                <ul>
                                    <li><a href="#">Adaugare camera   </a></li>
                                    <li><a href="#">Listare camere </a></li>
                                    <li><a href="#">Modifica camera  </a></li>
                                    <li><a href="#">Stergere camere  </a></li>
                                </ul>
                            </li>
                            <li>
                                <a href="#">Administrare rafturi dintr-o camera  <!-- shelf management --></a>
                                <ul>
                                    <li><a href="#">Adaugare rafturi intr-o camera  </a></li>
                                    <li><a href="#">Listare rafturi pe camere   </a></li>
                                    <li><a href="#">Modifica rafturi din camera...   </a></li>
                                    <li><a href="#">Stergere rafturi din camera...   </a></li>
                                </ul>
                            </li>
                        </ul>
                    </li>
                    <li><a class="drop" href="#">Cautare<!--Search--></a>
                        <ul>
                            <li><a href="#">Autor<!--Author--></a></li>
                            <li><a href="#">Titlu carte<!--Book title--></a></li>
                        </ul>
                    </li>
                </ul>


            </div>


            <div class="logo">
                <h1>
                    <p>
                        <p></p><a href="{% url 'home' %}"><small>Biblioteci: personala si prieteni
                    <!--Libraries: personal + friends --></small>
                        </a>
                    </p>
            </h1>
            </div>
            <div class="clr"></div>


            <div class="content_box">
                <div class="content">
                    {% block content %}
                    {% endblock %}
                </div>
            </div>
            <div class="clr"></div>


            <div class="content_box_bottom">
                <div class="bottom_nav">
                    <div class="col c1">
                        <h2>Sumar Servicii<!--Services Overview--></h2>
                        <p>
                            Persoanele inregistrare, trebuie sa se logheze, pentru a beneficia de urmatoarele
                            functionalitati principale:
                            <!--The registered members of this  application must log in, in order to benefit of the following main operations (see links bellow):-->
                        </p>
                        <ul class="bottom_nav_ul">
                            <li>
                                <a href="lista_carti_galerie.html">
                                    Liste cu toate cartile din casa sau, prin selectarea din meniul de sus: dintr-o anumita camera sau categorie/subcategorie de carte
                                    <!--List of all the books from house or a certain room and list by book categories -->
                                </a>
                            </li>
                            <li>
                                <a href="#">
                                    Adaugare carte in biblioteca, intr-o anumita categorie/subcategorie sau intr-o camera, pe un anumit raft vertical, pentru
                                    localizare usoara
                                    <!--
                                    Add a book in your library with the track of it's location on rooms and shelfs -->
                                </a>
                            </li>
                            <li>
                                <a href="#">
                                    Modificarea informatiilor legate de o carte (prin selectarea cartii)
                                    <!--Modify certain information related to a book-->
                                </a>
                            </li>
                            <li>
                                <a href="#">
                                    Stergere uneicarti selectate din biblioteca
                                    <!--Delete fooks from your library-->
                                </a>
                            </li>
                            <li>
                                <a href="#">
                                    Cautare dupa autor / titlu carte
                                    <!--Search by author / book title-->
                                </a>
                            </li>
                        </ul>
                    </div>
                    <div class="col c2">
                        <h2>
                            Imprumutare carti intre prieteni
                            <!--Lend &amp; borrow books to/from friends-->
                        </h2>
                        <p>
                            O persoana care s-a inregistrat si logat, poate vizualiza bibliotecile prietenilor din lista
                            sa si, daca vrea sa imprumute carti de la ei, sa le trimita cereri pentru acceptare sau nu.
                            De asemenea, poate imprumuta cartile sale la prieteni. Se poate tine evidenta
                            imprumuturilor, cu informatii despre data imprumutului, persoana careia s-a imprumutat si
                            data maxima cand trebuie returnata o carte.
                            <!--You can see the libraries of your friends and send them requests, if you want to borrow a book from them.
                            Also, each registered and loged in librarian (user) can view the books he lended, with information
                            about the date of the loan, the maximum date for return and the person to whom he lended it.-->
                        </p>
                        <ul class="bottom_nav_ul">
                            <li><a href="#">Imprumuturi de la prieteni<!--Loans--> </a></li>
                            <li><a href="#">Carti imprumutate prietenilor <!--Borrows--></a></li>
                        </ul>
                    </div>
                    <div class="clr"></div>
                </div>
            </div>
            <div class="clr"></div>


            <div class="footer">
                <div class="footer_resize">
                    <p class="lf">Curs Pyhton - SDA   <!--Python course - SDA--></p>
                    <p class="rf">Proiect final    <!--Final Project -->- <a href="{% url 'home' %}">Bookeeper</a></p>
                    <div style="clear:both;"></div>
                </div>
            </div>
            <div class="clr"></div>
        </div>
    </div>
</div>
</body>
</html>
